file_upload.hpp File Reference

Various tools for simplification of file uploading. More...

`#include <restinio/helpers/http_field_parsers/content-type.hpp>`
`#include <restinio/helpers/http_field_parsers/content-disposition.hpp>`
`#include <restinio/helpers/multipart_body.hpp>`
`#include <restinio/http_headers.hpp>`
`#include <restinio/request_handler.hpp>`
`#include <restinio/expected.hpp>`
`#include <iostream>`

Go to the source code of this file.

## Classes

struct | restinio::file_upload::part_description_t
| A description of one part with an uploaded file. More...
struct | restinio::file_upload::impl::valid_handler_type< typename, typename >
struct | restinio::file_upload::impl::valid_handler_type< T, restinio::utils::metaprogramming::void_t< std::enable_if_t< std::is_same< handling_result_t, decltype(std::declval< T >()(std::declval< part_description_t >())) >::value, bool > > >

## Namespaces

namespace | restinio
namespace | restinio::file_upload
namespace | restinio::file_upload::impl

## Typedefs

using | restinio::file_upload::handling_result_t = restinio::multipart_body::handling_result_t
| The result to be returned from user-provided handler of parts of multipart body. More...

## Enumerations

enum class

restinio::file_upload::enumeration_error_t {
restinio::file_upload::content_type_field_not_found , restinio::file_upload::content_type_field_parse_error , restinio::file_upload::content_type_field_inappropriate_value , restinio::file_upload::illegal_boundary_value ,
restinio::file_upload::content_disposition_field_parse_error , restinio::file_upload::content_disposition_field_inappropriate_value , restinio::file_upload::no_parts_found , restinio::file_upload::no_files_found ,
restinio::file_upload::terminated_by_handler , restinio::file_upload::unexpected_error
}

| The result of an attempt to enumerate parts of a multipart body that contains uploaded file. More...

## Functions

RESTINIO_NODISCARD constexpr enumeration_error_t | restinio::file_upload::impl::translate_enumeration_error (restinio::multipart_body::enumeration_error_t original)
| Helper function for conversion from one enumeration_error to another. More...
RESTINIO_NODISCARD expected_t< part_description_t, enumeration_error_t > | restinio::file_upload::analyze_part (restinio::multipart_body::parsed_part_t parsed_part)
| Helper function for analyzing an already parsed part of a multipart body for presence of an uploaded file. More...
template<typename Extra_Data , typename Handler >
expected_t< std::size_t, enumeration_error_t > | restinio::file_upload::enumerate_parts_with_files (const generic_request_t< Extra_Data > &req, Handler &&handler, string_view_t expected_media_type=string_view_t{"multipart"}, string_view_t expected_media_subtype=string_view_t{"form-data"})
| A helper function for enumeration of parts of a multipart body those contain uploaded files. More...

## Detailed Description

Various tools for simplification of file uploading.

Since
  v.0.6.1

Definition in file file_upload.hpp.